Bug 469348 - Release Upgrade Tool
Release Upgrade Tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 09:27 EDT by G. Michael Carter
Modified: 2008-11-06 05:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-06 05:44:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G. Michael Carter 2008-10-31 09:27:32 EDT
This is a feature request:

Last night I was exposed to the ubuntu's upgrade system.   Their software update tool allows them to also upgrade releases.  We went from Ubuntu 8.04 to Ubuntu 8.10 (which is like going Fedora 9 to 10.) in just with a few clicks.


Fedora is RPM based, so why couldn't we use yum to do a network upgrade from 9 to 10?
Comment 1 Richard Hughes 2008-11-04 08:32:17 EST
It's this exactly what preupgrade does?
Comment 2 G. Michael Carter 2008-11-04 09:04:38 EST
Sorry didn't realized that program existed.  Must have missed that.

I guess my enhancement request now is to have a button on "PackageKit Update Applet" to call the preupgrade.   Have it so the button only shows with specified criteria.  ie when there is a new stable release of Fedora.

That way the "average user" who has their Fedora pre-installed, could easily upgrade without too much hassle.
Comment 3 Richard Hughes 2008-11-04 09:18:30 EST
There is: http://www.packagekit.org/img/gpk-distro-upgrade-notify.png

All I need to do is push a new version of PackageKit to F9-updates-testing and then it'll show up as soon as F10 is released. Of course, I want to test this before I get 500,000 bugs on the release day for F10.

Expect a new enough PackageKit soon after the GA of F10 to be pushed into F9.

Note You need to log in before you can comment on or make changes to this bug.